#ifndef __session_h
#define __session_h
#include "filed.h"

struct session *get_session(char *id);
struct session *get_session_by_id(int i);
void rm_session(char *d);
int get_session_id(char *id);

/* internal functions */

struct session *get_session_i(char *id);
int get_session_seq(void);
struct session *put_session(char *id);
void free_session(struct session *s);
void session_do_timeouts(void);
void session_update(int session);

#endif
